group member can delete journal

Bug #1666102 reported by Cecilia Vela Gurovic on 2017-02-20
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
High
Cecilia Vela Gurovic
15.10
High
Unassigned
16.04
High
Unassigned
16.10
High
Unassigned

Bug Description

Having a group where only the admin members can create and edit. A normal member can't add an entry to or edit a journal, but it can delete the journal.
We should not allow this to happen.

Changed in mahara:
status: New → In Progress
Changed in mahara:
importance: Undecided → High

Reviewed: https://reviews.mahara.org/7476
Committed: https://git.mahara.org/mahara/mahara/commit/865d18581e06d7f69c2d87b0d9103206d4f4d47d
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 865d18581e06d7f69c2d87b0d9103206d4f4d47d
Author: Cecilia Vela Gurovic <email address hidden>
Date: Mon Feb 20 17:38:30 2017 +1300

Bug 1666102: Check for edit permissions when deleting a journal

behatnotneeded

Change-Id: I8129db13fd22a16c763e5ce24074957082ac4f22

Robert Lyon (robertl-9) on 2017-03-28
Changed in mahara:
status: In Progress → Fix Committed
Mahara Bot (dev-mahara) wrote :

Patch for "16.04_STABLE" branch: https://reviews.mahara.org/7574

Mahara Bot (dev-mahara) wrote :

Patch for "15.10_STABLE" branch: https://reviews.mahara.org/7575

Reviewed: https://reviews.mahara.org/7575
Committed: https://git.mahara.org/mahara/mahara/commit/868e05c99ef2f529f3443c60711df2670f807d41
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.10_STABLE

commit 868e05c99ef2f529f3443c60711df2670f807d41
Author: Cecilia Vela Gurovic <email address hidden>
Date: Mon Feb 20 17:38:30 2017 +1300

Bug 1666102: Check for edit permissions when deleting a journal

behatnotneeded

Change-Id: I8129db13fd22a16c763e5ce24074957082ac4f22
(cherry picked from commit 865d18581e06d7f69c2d87b0d9103206d4f4d47d)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/7574
Committed: https://git.mahara.org/mahara/mahara/commit/9ae2601655c7fa45fffafa2ba098376fb17a157b
Submitter: Robert Lyon (<email address hidden>)
Branch: 16.04_STABLE

commit 9ae2601655c7fa45fffafa2ba098376fb17a157b
Author: Cecilia Vela Gurovic <email address hidden>
Date: Mon Feb 20 17:38:30 2017 +1300

Bug 1666102: Check for edit permissions when deleting a journal

behatnotneeded

Change-Id: I8129db13fd22a16c763e5ce24074957082ac4f22
(cherry picked from commit 865d18581e06d7f69c2d87b0d9103206d4f4d47d)

Robert Lyon (robertl-9) on 2017-04-27
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers